Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IResultMetaData

All Superinterfaces:
  IBaseResultMetaData

    public interface IResultMetaData

extends IBaseResultMetaData

Describes the metadata of a detail row in an IResultIterator. A detail row is defined based on a query's runtime metadata (as described by its data source driver), merging with static result set hints specified in a data set design. It includes projected columns only, which are all columns returned by a query if no explicit projection is specified. A detail row would also include any computed columns and custom columns specified in a data set design.

Method Summary
`java.lang.String` | `getColumnAlias(int index)` Returns the column alias at the specified index.
`java.lang.String` | `getColumnLabel(int index)` Gets the label or display name of the column at the specified index.
`java.lang.String` | `getColumnNativeTypeName(int index)` Returns the data provider specific data type name of the specified column.
`java.lang.String` | `getColumnTypeName(int index)` Returns the Data Engine data type name of the column at the specified index.
`boolean` | `isComputedColumn(int index)` Indicates whether the specified projected column is defined as a computed column.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseResultMetaData
`getColumnCount, getColumnName, getColumnType`

Method Detail

### getColumnAlias

    java.lang.String getColumnAlias(int index)
                                    throws org.eclipse.birt.core.exception.BirtException

  Returns the column alias at the specified index. An alias is given to a column as a programmatic convenience. A column can be referred using a name or an alias interchangeably.

  Parameters:
    `index` - The projected column index.
  Returns:
    The alias of the specified column. Null if none is defined.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnTypeName

    java.lang.String getColumnTypeName(int index)
                                       throws org.eclipse.birt.core.exception.BirtException

  Returns the Data Engine data type name of the column at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The Data Engine data type name of the specified column.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnNativeTypeName

    java.lang.String getColumnNativeTypeName(int index)
                                             throws org.eclipse.birt.core.exception.BirtException

  Returns the data provider specific data type name of the specified column.

  Returns:
    the data type name as defined by the data provider.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnLabel

    java.lang.String getColumnLabel(int index)
                                    throws org.eclipse.birt.core.exception.BirtException

  Gets the label or display name of the column at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The label of the specified column.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### isComputedColumn

    boolean isComputedColumn(int index)
                             throws org.eclipse.birt.core.exception.BirtException

  Indicates whether the specified projected column is defined as a computed column. A computed column is one that is not retrieved from the underlying data provider. Only those computed columns declared explicitly in a data set design are considered as "computed" columns.

  Parameters:
    `index` - The projected column index.
  Returns:
    true if the given column is a computed column; false otherwise.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.